PHP-инклюдинг в phpProfiles

Дата публикации:
31.10.2006
Всего просмотров:
3232
Опасность:
Высокая
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Отказ в обслуживании
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
phpProfiles 2.x
Уязвимые версии: phpProfiles 2.1, возможно другие версии.

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольный PHP сценарий на целевой системе.

Уязвимость существует из-за недостаточной обработки входных данных в параметре "reqpath" в сценариях users/include/body.inc.php и users/include/body_blog.inc.php, и в параметре "usrinc" в сценарии users/include/upload_ht.inc.php. Удаленный пользователь может выполнить произвольный PHP сценарий на целевой системе с привилегиями Web сервера. Для удачной эксплуатации уязвимости опция "register_globals" должна быть включена в конфигурационном файле PHP. Пример:

http://[host]/path/users/include/body.inc.php?reqpath=[file]
http://[host]/path/users/include/body_blog.inc.php?reqpath=[file]
http://[host]/path/users/include/upload_ht.inc.php?usrinc=[file]

URL производителя: linuxwebshop.com/scripts.php

Решение: Способов устранения уязвимости не существует в настоящее время.

Ссылки: phpProfiles 2.1 Beta Multiple Remote File Include Vulnerabilities

или введите имя

CAPTCHA